# Fluxtune
![Fluxtune](fluxtune.png)

<br>
Fluxtune is a Python library for online machine learning that provides tools for managing and evaluating multiple experts. The library includes various algorithms to leverage the predictions of multiple models efficiently.

## Features

- **Expert Management**: Create and manage multiple expert models.
- **Naive Algorithm**: Uses a single best expert for predictions.
- **Majority Algorithm**: Uses the majority vote of all experts for predictions.
- **Weighted Majority Algorithm**: Uses a weighted majority vote of all experts for predictions.

## Installation

You can install Fluxtune via pip:

```bash
pip install fluxtune
```

## License
Fluxtune is licensed under the MIT License. See the LICENSE file for more details.

## Contributing
Contributions are welcome! Please feel free to submit a Pull Request or report an issue.

## Acknowledgements
Inspired by various online machine learning frameworks and techniques.
